/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                                                       *
 *   TestCaseExtension Library, Copyright 2015 Bryan Chadwick            *
 *                                                                       *
 *   FILE: .\ExplicitAttribute.cs                                        *
 *                                                                       *
 *   This file is part of TestCaseExtension.                             *
 *                                                                       *
 *   TestCaseExtension is free software: you can redistribute it and/or  *
 *   modify it under the terms of the GNU General Public License         *
 *   as published by the Free Software Foundation, either version        *
 *   3 of the License, or (at your option) any later version.            *
 *                                                                       *
 *   TestCaseExtension is distributed in the hope that it will be useful,*
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *   GNU General Public License for more details.                        *
 *                                                                       *
 *   You should have received a copy of the GNU General Public License   *
 *   along with TestCaseExtension.                                       *
 *   If not, see <http://www.gnu.org/licenses/>.                         *
 *                                                                       *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
using System;

namespace TestCaseExtension
{
	/// <summary>Marks a TestMethod as not to be run, description is unused, but kept for
	///		documentation purposes.  Added for compatability to NUnit Tests.</summary>
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = true)]
	public class ExplicitAttribute : Attribute
	{
		/// <summary>Human-readable description/reason for ignoring the TestMethod.
		///		This property is ignored by the implementation.</summary>
		public string Description { get; set; }

		public ExplicitAttribute(string description)
		{
			Description = description;
		}
	}
}

